Cloud Provider

Get the list of the cloud provider accounts currently setup in a project identified by project UUID

get
Path parameters
projectIdstringRequired

UUID of the project the cloud provider belongs to

Header parameters
X-Auth-TokenstringRequired
Responses
chevron-right
200

OK

application/json
namestringOptional

Name of the cloud provider account

uuidstringOptional

UUID of the cloud provider account

typestringOptional

Type of the cloud provider account

nodePoolUuidstringOptional

UUID of the associated node pool

get
/v4/{projectId}/cloudProviders

Add a cloud provider account

post

Note that by default, there is one “local” cloud provider, which is used for building clusters manually. Currently, AWS is the only supported cloudProvider, other than the “local” provider.

Path parameters
projectIdstringRequired

UUID of the project the cloud provider account belongs to

Header parameters
X-Auth-TokenstringRequired
Body
namestringOptional

Name of the cloud provider account

typestringOptional

Type of the cloud provider account

keystringOptional

Cloud access key

secretstringOptional

Cloud secret key

Responses
chevron-right
200

OK, if the cloud provider gets created successfully

No content

post
/v4/{projectId}/cloudProviders

No content

Get all available cloud provider types, in a project identified by project UUID

get
Path parameters
projectIdstringRequired

UUID of the project the cloud provider belongs to

Header parameters
X-Auth-TokenstringRequired
Responses
chevron-right
200

OK

application/json
typestringOptional

Cloud provider type. Examples are 'aws','local'

get
/v4/{projectId}/cloudProvider/types

Get the details for cloud provider account identified by the account_uuid

get

This is applicable only for public cloud providers

Path parameters
uuidstringRequired

UUID of the cloud provider

projectIdstringRequired

UUID of the project the cloud provider belongs to

Header parameters
X-Auth-TokenstringRequired
Responses
chevron-right
200

OK

application/json
get
/v4/{projectId}/cloudProviders/{uuid}

Delete a cloud provider account specified by account uuid

delete
Path parameters
uuidstringRequired

UUID of the cloud provider

projectIdstringRequired

UUID of the project the cloud provider account belongs to

Header parameters
X-Auth-TokenstringRequired
Responses
chevron-right
200

OK, if the cloud provider gets deleted successfully

No content

delete
/v4/{projectId}/cloudProviders/{uuid}

No content

Get the details for a region in a particular cloud provider account identified by the account_uuid

get

This is applicable only for public cloud providers

Path parameters
uuidstringRequired

UUID of the cloud provider

regionidstringRequired

Name of the region

projectIdstringRequired

UUID of the project the cloud provider belongs to

Header parameters
X-Auth-TokenstringRequired
Responses
chevron-right
200

OK

application/json
azsobject[]Optional

The list of availability zones in the region

domainsobject[]Optional

The list of hosting domains

flavorsobject[]Optional

The list of instance flavors supported in the region

keyPairsobject[]Optional

The list of ssh key pairs in the region

operatingSystemsobject[]Optional

The list of operating systems available in the region

vpcsobject[]Optional

The list of virtual private networks available in the region

get
/v4/{projectId}/cloudProviders/{uuid}/region/{regionid}

Add ssh key to a cloud provider region

post
Path parameters
uuidstringRequired

UUID of the cloud provider

regionidstringRequired

Name of the region

projectIdstringRequired

UUID of the project the cloud provider belongs to

Header parameters
X-Auth-TokenstringRequired
Body
namestringOptional

Name of the key

keystringOptional

Contents of the key

Responses
chevron-right
200

OK

No content

post
/v4/{projectId}/cloudProviders/{uuid}/region/{regionid}/sshKey

No content

Validate a cloud provider account

post

Validate a cloud provider credentials before adding it

Path parameters
projectIdstringRequired

UUID of the project the cloud provider account belongs to

Header parameters
X-Auth-TokenstringRequired
Body
namestringOptional

Name of the cloud provider account

typestringOptional

Type of the cloud provider account

keystringOptional

Cloud access key

secretstringOptional

Cloud secret key

Responses
chevron-right
200

OK, if the cloud provider gets created successfully

No content

post
/v4/{projectId}/cloudProviders/validate

No content

Update a cloud provider account specified by account uuid

put
Path parameters
uuidstringRequired

UUID of the cloud provider

Header parameters
X-Auth-TokenstringRequired
Body
namestringOptional

Name of the cloud provider account

keystringOptional

Cloud access key

secretstringOptional

Cloud secret key

Responses
chevron-right
200

OK, if the cloud provider gets upddated successfully

No content

put
/v4/cloudProviders/{uuid}

No content

Last updated

Was this helpful?